crashpad::internal::CaptureMemory Class Reference

## Classes

class | Delegate
| An interface to a platform-specific process reader. More...

## Static Public Member Functions

static void | PointedToByContext (const CPUContext &context, Delegate *delegate)
| For all registers that appear to be pointer-like in context, captures a small amount of memory near their pointed to location. More...
static void | PointedToByMemoryRange (const MemorySnapshot &memory, Delegate *delegate)
| For all pointer-like values in a memory range of the target process, captures a small amount of memory near the pointed to location. More...

## Member Function Documentation

## PointedToByContext()

void crashpad::internal::CaptureMemory::PointedToByContext | ( | const CPUContext & | context,
|  | Delegate * | delegate
| ) |  |

static

For all registers that appear to be pointer-like in context, captures a small amount of memory near their pointed to location.

"Pointer-like" in this context means not too close to zero (signed or unsigned) so that there's a reasonable chance that the value is a pointer.

Parameters

  [in] | context | The context to inspect.
  [in] | delegate | A Delegate that handles reading from the target process and adding new ranges.

## PointedToByMemoryRange()

void crashpad::internal::CaptureMemory::PointedToByMemoryRange | ( | const MemorySnapshot & | memory,
|  | Delegate * | delegate
| ) |  |

static

For all pointer-like values in a memory range of the target process, captures a small amount of memory near the pointed to location.

Parameters

  [in] | memory | An existing MemorySnapshot of the range to search. The base address and size must be pointer-aligned and an integral number of pointers long.
  [in] | delegate | A Delegate that handles reading from the target process and adding new ranges.

The documentation for this class was generated from the following files:

- snapshot/capture_memory.h
- snapshot/capture_memory.cc